Product HuntBuddy AI Access (MCP) is on Product Hunt.Buddy AI Access (MCP) is live on Product Hunt today.Join the discussion

Get Environment as YAML

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /environments
  • /:environment_id
  • /yaml

Get environment YAML

Request

REQUIRED SCOPES
ENVIRONMENT_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

environment_idrequiredstring
The ID of the environment

Example: "3a4KbBQl"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
yamlstring
The Base64-encoded YAML definition of the environment

Last modified on Sep 15, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/environments/:environment_id/yaml" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "yaml": "LSBlbnZpcm9ubWVudDo..." }
STATUS
200 OK